/* FichothequeLib_API - Copyright (c) 2011-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction.def;

import java.util.List;
import net.fichotheque.selection.MotcleCondition;


/**
 *
 * @author Vincent Calame
 */
public interface ExtraitThesaurusDef {

    public String getExtraitName();

    public String getTagName();

    public boolean isMaster();

    public MotcleFilter getMotcleFilter();

    public List<MotcleCondition.Entry> getEntryList();

}
